Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.linemerge
Class LineMergeDirectedEdge

    java.lang.Object
      com.vividsolutions.jts.planargraph.GraphComponent
          com.vividsolutions.jts.planargraph.DirectedEdge
              com.vividsolutions.jts.operation.linemerge.LineMergeDirectedEdge

All Implemented Interfaces:
  java.lang.Comparable

    public class LineMergeDirectedEdge

extends DirectedEdge

A `DirectedEdge` of a `LineMergeGraph`.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.planargraph.DirectedEdge
`angle, edgeDirection, from, p0, p1, parentEdge, quadrant, sym, to`

Fields inherited from class com.vividsolutions.jts.planargraph.GraphComponent
`isMarked, isVisited`

Constructor Summary
`LineMergeDirectedEdge(Node from, Node to, Coordinate directionPt, boolean edgeDirection)` Constructs a LineMergeDirectedEdge connecting the `from` node to the `to` node.

Method Summary
`LineMergeDirectedEdge` | `getNext()` Returns the directed edge that starts at this directed edge's end point, or null if there are zero or multiple directed edges starting there.

Methods inherited from class com.vividsolutions.jts.planargraph.DirectedEdge
`compareDirection, compareTo, getAngle, getCoordinate, getDirectionPt, getEdge, getEdgeDirection, getFromNode, getQuadrant, getSym, getToNode, isRemoved, print, setEdge, setSym, toEdges`

Methods inherited from class com.vividsolutions.jts.planargraph.GraphComponent
`getComponentWithVisitedState, getContext, getData, isMarked, isVisited, setContext, setData, setMarked, setMarked, setVisited, setVisited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineMergeDirectedEdge

    public LineMergeDirectedEdge(Node from,
                                 Node to,
                                 Coordinate directionPt,
                                 boolean edgeDirection)

  Constructs a LineMergeDirectedEdge connecting the `from` node to the `to` node.

  Parameters:
    `directionPt` - specifies this DirectedEdge's direction (given by an imaginary line from the `from` node to `directionPt`)
    `edgeDirection` - whether this DirectedEdge's direction is the same as or opposite to that of the parent Edge (if any)

Method Detail

### getNext

    public LineMergeDirectedEdge getNext()

  Returns the directed edge that starts at this directed edge's end point, or null if there are zero or multiple directed edges starting there.

  Returns:
    the directed edge

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD